Bug 243558 - graphics/proj: Update to 6.3.0
Summary: graphics/proj: Update to 6.3.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Loïc Bartoletti
URL: https://github.com/OSGeo/PROJ/release...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-24 09:28 UTC by Loïc Bartoletti
Modified: 2020-02-22 05:48 UTC (History)
2 users (show)

See Also:
lbartoletti: maintainer-feedback+


Attachments
proj 6.3.0 (2.07 KB, patch)
2020-01-24 09:28 UTC, Loïc Bartoletti
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Loïc Bartoletti freebsd_committer 2020-01-24 09:28:35 UTC
Created attachment 211007 [details]
proj 6.3.0

graphics/proj: Update to 6.3.0

 * Update to 6.3.0
 * Move CONFLICTS_INSTALL (pet portlint)

 Changelog:

   https://github.com/OSGeo/PROJ/releases/tag/6.3.0
   https://github.com/OSGeo/PROJ/releases/tag/6.2.1
   https://github.com/OSGeo/PROJ/releases/tag/6.2.0

QA:

  * portlint: OK (looks fine.)
  * testport: OK (poudriere: 11/12/13, i386/amd64 tested)
  * maketest: OK (11 of 11 tests PASS and CI https://cirrus-ci.com/github/OSGeo/PROJ)
Comment 1 Loïc Bartoletti freebsd_committer 2020-01-24 09:29:27 UTC
Rainer, proj 6.3 will be a mandatory for next releases of QGIS
Comment 2 Rainer Hurling 2020-01-24 09:45:57 UTC
(In reply to Loïc Bartoletti from comment #1)

Loïc, Thanks for the update. I really appreciate it.

Will do some test in the next days with QGIS ports and their upcoming releases and report back.
Comment 3 Loïc Bartoletti freebsd_committer 2020-02-10 16:28:50 UTC
Gentle ping wen@ :)
proj 6.3.0 is mandatory for the next release of QGIS https://github.com/qgis/QGIS/issues/34036
Comment 4 Wen Heping freebsd_committer 2020-02-11 00:43:08 UTC
Looks good, please go ahead.
Thank you!

wen
Comment 5 commit-hook freebsd_committer 2020-02-22 05:47:51 UTC
A commit references this bug:

Author: lbartoletti
Date: Sat Feb 22 05:47:38 UTC 2020
New revision: 526739
URL: https://svnweb.freebsd.org/changeset/ports/526739

Log:
  graphics/proj: Update to 6.3.1

    - Update to 6.3.1
    - Move CONFLICTS_INSTALL (pet portlint)

  Changelog:
    - https://github.com/OSGeo/PROJ/releases/tag/6.3.1
    - https://github.com/OSGeo/PROJ/releases/tag/6.3.0
    - https://github.com/OSGeo/PROJ/releases/tag/6.2.1
    - https://github.com/OSGeo/PROJ/releases/tag/6.2.0

  PR:	243558
  Approved by:	wen (maintainer), tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D23619

Changes:
  head/graphics/proj/Makefile
  head/graphics/proj/distinfo
  head/graphics/proj/pkg-plist
Comment 6 Loïc Bartoletti freebsd_committer 2020-02-22 05:48:46 UTC
Commited, thanks wen!